<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: poll_results.php
| Author: Stephan Hansson (StarglowOne) & Unknown Author
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."poll_results/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."poll_results/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."poll_results/locale/English.php";
}

if (!checkrights("POR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$result = dbquery("SELECT * FROM ".DB_POLLS." ORDER BY poll_started DESC LIMIT 1");
if (dbrows($result)) {
	$currPollID = dbarray($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$pollinfo =dbquery("SELECT ".DB_USERS.".*, ".DB_POLL_VOTES.".*
	FROM ".DB_USERS.", ".DB_POLL_VOTES."
	WHERE ".DB_USERS.".user_id=".DB_POLL_VOTES.".vote_user
	AND ".DB_POLL_VOTES.".vote_user!='0'
	AND ".DB_POLL_VOTES.".poll_id=".$currPollID['poll_id']." 
	ORDER BY ".DB_USERS.".user_id DESC 
	LIMIT ".$_GET['rowstart'].",20");

	//Display the current member Poll
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n<tr>\n<td valign='top' width='250'>\n";
	require_once BASEDIR."infusions/member_poll_panel/member_poll_panel.php";
	echo "</td><td valign='top' style='width:5px;'></td><td valign='top'>\n";
	opentable("Poll Results");
	if (dbrows($pollinfo)) {
		//Display users who voted
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		echo "<td width='50%' class='tbl'><strong>".$locale['por_user_name']."</strong></td>\n";
		echo "<td width='50%' class='tbl' align='center'><strong>".$locale['por_poll_vote']."</strong></td>\n";
		echo "<td class='tbl'></td>\n";
		echo "</tr>\n";
		$tid = 1;
		while($Pinfo = dbarray($pollinfo)){
			$Pinfo['vote_opt'] = $Pinfo['vote_opt']+1;
			$Pinforesult = dbquery("SELECT * FROM ".DB_POLLS." WHERE poll_id='".$currPollID['poll_id']."'");
			while($Pinfodata = dbarray($Pinforesult)) {
				$PinfoName = $Pinfodata['poll_opt_'.$Pinfo['vote_opt'].''];
				echo "<tr>\n";
				echo "<td width='50%' class='tbl".$tid."'>".$Pinfo['user_name']."</td>\n";
				echo "<td width='50%' class='tbl".$tid."' align='center'>".$PinfoName." (".$Pinfo['vote_opt'].")</td>\n";
				echo "<td class='tbl".$tid."'><a href='".BASEDIR."messages.php?msg_send=".$Pinfo['user_id']."'><img src='images/send_pm.png' border='0' alt='".$locale['por_send_pm']."' title='".$locale['por_send_pm']."' /></a></td>\n";
				echo "</tr>\n";
				if($tid == 1) {
					$tid = 2;
				} else {
					$tid = 1;
				}
			}
		}
		echo "</table>\n";

		$total_rows = dbcount("(*)", DB_POLL_VOTES, DB_POLL_VOTES.".poll_id=".$currPollID['poll_id']);
		if ($total_rows > 20) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],20,$total_rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
		
	} else {
		echo "<div align='center'><strong>No votes yet</strong></div>\n";
	}
} else {
    echo "<div align='center'><strong>No poll active</strong></div>\n";
}
closetable();
	echo "</td></tr>\n</table>\n";

require_once THEMES."templates/footer.php";
?>